%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

# TODO -- this is a likely candidate for python3 subpackaging

Name:           python-zdaemon
Version:        3.0.5
Release:        1%{?dist}
Summary:        Python Daemon Process Control Library
Group:          Development/Languages
License:        ZPLv2.1
URL:            http://pypi.python.org/pypi/zdaemon/
Source0:        http://pypi.python.org/packages/source/z/zdaemon/zdaemon-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-zope-testing
BuildRequires:  python-ZConfig
BuildRequires:  python-manuel
BuildRequires:  python-six
# Under review still
# https://bugzilla.redhat.com/show_bug.cgi?id=915427
#BuildRequires:  python-zc-customdoctests
BuildRequires:  python-mock

Requires:       python-ZConfig


%description
Daemon process control library and tools for Unix-bases systems.


%prep
%setup -q -n zdaemon-%{version}
sed -i '1,1d' src/zdaemon/zdctl.py
sed -i '1,1d' src/zdaemon/zdrun.py
sed -i '1,1d' src/zdaemon/tests/nokill.py


%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT


# Tests disabled until python-zc-customdoctests is available
#%check
#export PYTHONPATH="$PYTHONPATH:$RPM_BUILD_ROOT%{python_sitelib}"
#%{__python} build/lib/zdaemon/tests/tests.py

 
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc CHANGES.txt README.txt
%{python_sitelib}/zdaemon
%{python_sitelib}/zdaemon-%{version}-py?.?.egg-info
%{_bindir}/zdaemon


%changelog
* Mon Feb 25 2013 Ralph Bean <rbean@redhat.com> - 3.0.5-1
- Latest upstream
- Disabled tests while waiting for python-zc-customdoctests

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 2.0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Fri Oct 16 2009 Conrad Meyer <konrad@tylerc.org> - 2.0.4-2
- Add BR on python-setuptools.

* Wed Apr 22 2009 Conrad Meyer <konrad@tylerc.org> - 2.0.4-1
- Bump to 2.0.4.

* Mon Dec 15 2008 Conrad Meyer <konrad@tylerc.org> - 2.0.2-1
- Initial package.
